sc::FileRender(3)

NAME
sc::FileRender -

SYNOPSIS

Inherits sc::Render.

Inherited by sc::OOGLRender.

  Public Member Functions
FileRender (const char *filename)
FileRender (std::ostream &o=ExEnv::out0())
FileRender (const Ref< KeyVal > &)
void clear ()
virtual void set_filename (const char *name)
virtual void set_basename (const char *name)
virtual const char * file_extension ()

  Protected Member Functions
char * get_filename (const char *objectname)
void open_sbuf (const char *objectname)
void close_sbuf ()

  Protected Attributes
char * filename_
char * basename_
std::streambuf * sbuf_
int delete_sbuf_
int depth_

Author

Generated automatically by Doxygen for MPQC from the source code.